Get latest job
curl --request GET \
--url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/latest \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/latest"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/jobs/latest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "lmaEbA",
"env_id": "dev.example-env.hotglue.xyz",
"job_name": "test_job:_V-vgdlLN",
"tenant": "default",
"started_by": "default",
"flow": "l8odS2mce",
"s3_root": "default/flows/l8odS2mce/jobs/lmaEbA",
"start_time": "2020-12-30T18:01:01.828266+00:00",
"state": {},
"tap": "quickbooks:sandbox",
"status": "ETL_FAILED",
"message": "ETL error...",
"last_updated": "2020-12-30T20:31:00.081282+00:00"
}{}Jobs
Get latest job
Fetch the most recent job for a given tenant in a given flow
GET
/
{env_id}
/
{flow_id}
/
{tenant}
/
jobs
/
latest
Get latest job
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Response
200
Example:
"lmaEbA"
Example:
"dev.example-env.hotglue.xyz"
Example:
"test_job:_V-vgdlLN"
Example:
"default"
Example:
"default"
Example:
"l8odS2mce"
Example:
"default/flows/l8odS2mce/jobs/lmaEbA"
Example:
"2020-12-30T18:01:01.828266+00:00"
Example:
"quickbooks:sandbox"
Available options:
JOB_CREATED, DISCOVER_STARTED, DISCOVER_FAILED, SYNC_STARTED, SYNC_FAILED, SYNC_SUCCESS, ETL_STARTED, ETL_FAILED, ETL_SUCCESS, EXPORT_STARTED, EXPORT_FAILED, JOB_COMPLETED Example:
"ETL_FAILED"
Example:
"ETL error..."
Example:
"2020-12-30T20:31:00.081282+00:00"